#TODO: gnome/tango integration

%global cairo_version 0.5

%global minimum_build_nspr_version 4.7.2
%global minimum_build_nss_version 3.12

Name:           kompozer
%global upstream_version 0.8b3
Version:        0.8
Release:        0.4.b3
Epoch:          1
Summary:        Web Authoring System
Group:          Applications/Publishing
License:        GPLv2+ or LGPLv2+ or MPLv1.1
URL:            http://www.kompozer.net/
Source0:        %{name}-%{upstream_version}-src.tar.bz2
Source1:        kompozer-debian-manpage
Source2:        langpack-ru.tar
Source3:        kompozer.desktop

# language support
#Source2:       http://kompozer.sourceforge.net/l10n/kpz08/kpz-langpack-da.xpi
#Source3:       http://kompozer.sourceforge.net/l10n/kpz08/kpz-langpack-de.xpi
#Source4:       http://kompozer.sourceforge.net/l10n/kpz08/kpz-langpack-enUS.xpi
#Source5:       http://kompozer.sourceforge.net/l10n/kpz08/kpz-langpack-esES.xpi
#Source6:       http://kompozer.sourceforge.net/l10n/kpz08/kpz-langpack-fr.xpi
#Source7:       http://kompozer.sourceforge.net/l10n/kpz08/kpz-langpack-it.xpi
#Source8:       http://kompozer.sourceforge.net/l10n/kpz08/kpz-langpack-nl.xpi
#Source9:       http://kompozer.sourceforge.net/l10n/kpz08/kpz-langpack-ru.xpi
#Source10:      http://kompozer.sourceforge.net/l10n/kpz08/kpz-langpack-zhCN.xpi
#Source11:      http://kompozer.sourceforge.net/l10n/kpz08/kpz-langpack-zhTW.xpi

# Automatically added by buildreq on Sat Apr 21 2012
BuildRequires: doxygen gcc-c++ imake libXext-devel libXinerama-devel 
BuildRequires: libXp-devel libXt-devel libgnomeui-devel libjpeg-devel 
BuildRequires: libnss-devel-static makedepend unzip xorg-cf-files zip

BuildRequires:  fdupes gcc-c++ zip
BuildRequires:  libnspr-devel >= %{minimum_build_nspr_version}
BuildRequires:  libnss-devel >= %{minimum_build_nss_version}
BuildRequires:  libnss-devel-static
BuildRequires:  libcairo-devel >= %{cairo_version}
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  zlib-devel
BuildRequires:  libIDL-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libkrb5-devel
BuildRequires:  pango-devel
BuildRequires:  libfreetype-devel >= 2.1.9
BuildRequires:  glib2-devel
BuildRequires:  libXt-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXext-devel
BuildRequires:  fileutils
BuildRequires:  perl

# YYY  Manual ADD buildreq
BuildRequires: ORBit2-devel fontconfig fontconfig-devel glib2-devel glibc-pthread gnome-vfs gnome-vfs-devel libGConf-devel libICE-devel libIDL-devel libSM-devel libX11-devel libXft-devel libXrender-devel libart_lgpl-devel libatk-devel libbonobo-devel libbonoboui-devel libcairo-devel libfreetype-devel libgio-devel libgnome-devel libgnomecanvas-devel libgtk+2-common libgtk+2-common-devel libgtk+2-devel libnspr-devel libnss-devel libpango-devel libpng-devel libpopt-devel libstdc++-devel xorg-kbproto-devel xorg-renderproto-devel xorg-xextproto-devel xorg-xineramaproto-devel xorg-xproto-devel zlib-devel



#Requires:       mozilla-filesystem
Requires: hunspell hunspell-ru
Requires(pre):         desktop-file-utils
Requires: libnspr >= %{minimum_build_nspr_version}
Requires: libnss >= %{minimum_build_nss_version}

Provides:       nvu = 1
Obsoletes:      nvu < 1


%description
A complete web authoring system for linux desktop users that  makes managing
a web site a snap.  Now anyone can create web pages and manage a Web site
with no technical expertise or HTML knowledge.

Features:

* WYSIWYG editing of pages, making Web creation as easy as typing a
   letter with your word processor.
* Integrated file management via FTP.  Simply log in to your Web
   site and navigate through your files, editing Web pages on the
   fly, directly from your site.
* Reliable HTML code creation that works with today's most popular
   browsers.
* Jump between WYSIWYG editing mode and HTML using tabs.
* Tabbed editing to make working on multiple pages a snap.
* Powerful support for frames, forms, tables, and templates.

KompoZer is an unofficial branch of Nvu, previously developed by
Linspire Inc.

%define debug_package %{nil}
%define __os_install_post %{nil}
%define __find_requires %{nil}


%prep
%setup -q -c %{name}-%{version}

%build
cd mozilla/
cp composer/config/mozconfig.fedora .mozconfig
echo "ac_add_options --libdir %{_libdir}" >> .mozconfig
echo "ac_add_options --with-default-mozilla-five-home=%{_libdir}/kompozer" >> .mozconfig

make -f client.mk build_all


%install
rm -rf %{buildroot}

pushd obj-kompozer/xpfe/components && %__make ; popd
pushd obj-kompozer && %__make install DESTDIR=%{buildroot} ;popd

rm -rf %{buildroot}/%{_libdir}/kompozer/components/myspell
chmod -x %{buildroot}/%{_libdir}/kompozer/components/*.js

rm -rf %{buildroot}/usr/include/
rm -rf %{buildroot}/%{_datadir}/idl/

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/applications/%{name}.desktop

# manpage:m
install -d -m755 %{buildroot}%{_mandir}/man1/
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1.gz

# spellchecker support:
rm -rf %{buildroot}%{_libdir}/kompozer/dictionaries/
cd %{buildroot}%{_libdir}/kompozer
#ln -s ../../share/myspell dictionaries
ln -s %{_datadir}/myspell %{buildroot}%{_libdir}/kompozer/dictionaries
# kompozer doesn't own it:

# cleaning non used devel and debug files
rm %{buildroot}%{_bindir}/kompozer-config
rm -rf %{buildroot}%{_libdir}/pkgconfig/
rm -rf %{buildroot}%{_libdir}/debug/

# ru-lang
tar -xf %{SOURCE2} -C %{buildroot}%{_libdir}/kompozer/defaults/profile/extensions/


%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%doc mozilla/LEGAL mozilla/LICENSE mozilla/README.txt
%dir %{_libdir}/kompozer
%{_bindir}/*
%{_libdir}/kompozer/*
%{_mandir}/man1/*
%{_datadir}/applications/*

%changelog

* Tue Feb 23 2010 Ismael Olea <ismael@olea.org> 0.8-0.4.b3
- update to 0.8b3
